JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinNT.SECURITY_IMPERSONATION_LEVEL

    java.lang.Object
      com.sun.jna.platform.win32.WinNT.SECURITY_IMPERSONATION_LEVEL

Enclosing interface:
  WinNT

    public abstract static class WinNT.SECURITY_IMPERSONATION_LEVEL

extends Object

The SECURITY_IMPERSONATION_LEVEL enumeration type contains values that specify security impersonation levels. Security impersonation levels govern the degree to which a server process can act on behalf of a client process.

Field Summary
`static int` | `SecurityAnonymous` The server process cannot obtain identification information about the client, and it cannot impersonate the client.
`static int` | `SecurityDelegation` The server process can impersonate the client's security context on remote systems.
`static int` | `SecurityIdentification` The server process can obtain information about the client, such as security identifiers and privileges, but it cannot impersonate the client.
`static int` | `SecurityImpersonation` The server process can impersonate the client's security context on its local system.

Constructor Summary
`WinNT.SECURITY_IMPERSONATION_LEVEL()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SecurityAnonymous

    public static final int SecurityAnonymous

  The server process cannot obtain identification information about the client, and it cannot impersonate the client. It is defined with no value given, and thus, by ANSI C rules, defaults to a value of zero.

  See Also:
    Constant Field Values

### SecurityIdentification

    public static final int SecurityIdentification

  The server process can obtain information about the client, such as security identifiers and privileges, but it cannot impersonate the client. This is useful for servers that export their own objects, for example, database products that export tables and views. Using the retrieved client-security information, the server can make access-validation decisions without being able to use other services that are using the client's security context.

  See Also:
    Constant Field Values

### SecurityImpersonation

    public static final int SecurityImpersonation

  The server process can impersonate the client's security context on its local system. The server cannot impersonate the client on remote systems.

  See Also:
    Constant Field Values

### SecurityDelegation

    public static final int SecurityDelegation

  The server process can impersonate the client's security context on remote systems.

  See Also:
    Constant Field Values

Constructor Detail

### WinNT.SECURITY_IMPERSONATION_LEVEL

    public WinNT.SECURITY_IMPERSONATION_LEVEL()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.